# NWidgetPartDataTip Struct Reference
[Hierarchical widget parts]

Widget part for storing data and tooltip information. More...

`#include <widget_type.h>`

## Data Fields
uint16 | data
| Data value of the widget.
StringID | tooltip
| Tooltip of the widget.

## Detailed Description

Widget part for storing data and tooltip information.

Definition at line 537 of file widget_type.h.

The documentation for this struct was generated from the following file:

- src/widget_type.h